Update Subscription

This action allows you to edit a Subscription. Editing a Subscription will return the updated Subscription object so you can verify your changes.

Special Considerations

Request considerations: Due to the complex nature of the subscription use a get/put methodology when modifying a subscription. If values are not included, they will usually get nullified.

Request limitations: Only the listed fields can be edited via the PUT Subscription operation. Check the subscription product update for even more details.

To change quantity or to include or un-include a plan product the manipulation must occursubscription product. This can either be as part of the subscription product list in this call, or as a separate call to update a specific subscription product.

Change subscription name/description: Enter values into the subscriptionOveride object.

Editing reference: Update the Reference field.

Editing contract start and end dates: Set UTC datetime values in the contract fields

Setting, modifying and removing the scheduled activation date: Set UTC date time value in the scheduledActivtionTimestamp field

Setting the expiry period: This can set by submitting a number for the remaining expiry periods in the remainingInterval field. The value “0” immediately expire the subscription at the end of the current cycle. This can be used to end a subscription gently and finish charging any end of period charges.

Query considerations:Disable automatically sending invoice changes and defer them to a ready draft invoice by setting the temporarilyDisableAutoPost query parameter.

secure.fusebill.com/v1/subscriptions?temporarilyDisableAutoPost=true

Charges generated in this way will be Draft and have a Ready status. The resulting invoice will not be automatically posted until a user or integrator goes out of their way and performs a Post Ready Charges. Or will be picked up with the next automatic invoice if the "Post ready on recharge" is set on a customer. More information on Draft Invoice Object

When modifying any Subscription Products Object with more than one discount, remove the subscriptionProductDiscount (legacy singular object) entity and leave subscriptionProductDiscounts (list of discounds, plural) in place in order to retain those discounts. Otherwise these will get nullified if not provided in the update payload.

Setting the PriceUpliftsEnabled on a Subscription Products Object to "False" from a previous value of "True" will delete existing, future and historical price uplifts.

Query Params
boolean

Set to true to avoid committing the change. This can give an idea if the changes will result in additional charges.

boolean

Overrides if any resulting charges and their invoices are posted.

Body Params
subscriptionOverride
object

This is an object which can override certain fields from the plan

string
enum

This is the status of this subscription. Draft indicates that the Subscription has not yet been activated. Provisioning indicates this Subscription has been provisioned but that the Setup Fee and recurring Charge has not been applied to the Customer. To set a Subscription as "Provisioned" you must set a Scheduled Activation Date for some time in the future. Most subscription status changes cannot be done through this call.

string

This is a text field you can populate with reference text for this subscription. [Max Length: 255 characters]This field is not exposed on the Invoice.

subscriptionProducts
array of objects

List of subscription products to update.

subscriptionProducts
date

If set, this indicates when the Subscription should activate. To set a Subscription as "Provisioned" you must set a Scheduled Activation Date for some time in the future. The Subscription will automatically set to an "Active" status on the Scheduled Activation Date.

int32

This lists the default number of intervals that remain before expiry. This is a default set at the plan level.

int32

This is the setting to default what the new remaining interval when the subscription is up for renewal.

int32

The day of the month this subscription invoices on.

int32

The month of the year this subscription invoices on

int32

The day of the week this subscription invoices on.

date-time

This is the date that the contract period will begin. Value currently has no automation attached to it.

date-time

This is the date that the contract period will end. Value currently has not automation attached to it.

int32
required

The Stax Bill generated id uniquely identifying this subscription

int32

Changes which billing period to move the subscription to. Not to be confused with billing period definition id

int32

Set this to have the subscription clear any pricing overrides and use the current catalog price after a number of cycles. Resets to remainingRefreshPriceIntervalPushOut value after passing 0.

int32

Defines the recharge cycle for how often to purge overrides and reset the subscription to use the catalog pricing. remainingRefreshPriceInterval is reset to remainingRefreshPriceIntervalPushOut value after passing 0

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json